Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezcalendar/user/datasupplier.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: datasupplier.php 6974 2001-09-05 12:51:13Z jhe $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 $ini =& eZINI::instance( 'site.ini' );
28 $GlobalSectionID = $ini->variable( "eZCalendarMain", "DefaultSection" );
29
30 switch ( $url_array[2] )
31 {
32 case "yearview" :
33 {
34 $Year = $url_array[3];
35
36 include( "kernel/ezcalendar/user/yearview.php" );
37 }
38 break;
39
40 case "monthview" :
41 {
42 $Year = $url_array[3];
43 $Month = $url_array[4];
44
45 include( "kernel/ezcalendar/user/monthview.php" );
46 }
47 break;
48
49 case "dayview" :
50 {
51 $Year = $url_array[3];
52 $Month = $url_array[4];
53 $Day = $url_array[5];
54
55 include( "kernel/ezcalendar/user/dayview.php" );
56 }
57 break;
58
59 case "appointmentedit" :
60 {
61 switch ( $url_array[3] )
62 {
63 case "new" :
64 {
65 $Action = "New";
66 $Year = $url_array[4];
67 $Month = $url_array[5];
68 $Day = $url_array[6];
69 $StartTime = $url_array[7];
70 }
71 break;
72
73 case "edit" :
74 {
75 $Action = "Edit";
76 $AppointmentID = $url_array[4];
77 }
78 break;
79
80 case "update" :
81 {
82 $Action = "Update";
83 $AppointmentID = $url_array[4];
84 }
85 break;
86
87 case "insert" :
88 {
89 $Action = "Insert";
90 $AppointmentID = 0;
91 }
92 break;
93
94 default :
95 {
96 $Action = $url_array[3];
97 }
98 }
99 if ( isset( $ChangeView ) )
100 $Action = "New";
101 include( "kernel/ezcalendar/user/appointmentedit.php" );
102 }
103 break;
104
105 case "appointmentview" :
106 {
107 $AppointmentID = $url_array[3];
108 include( "kernel/ezcalendar/user/appointmentview.php" );
109 }
110 break;
111
112 case "trustees":
113 {
114 switch ( $url_array[3] )
115 {
116 case "edit":
117 {
118 $Action = "edit";
119 include( "kernel/ezcalendar/user/trustees.php" );
120 break;
121 }
122 default:
123 {
124 include( "kernel/ezcalendar/user/trustees.php" );
125 }
126 break;
127 }
128 }
129 break;
130 }
131
132 ?>
$Action
$Action
Definition: companysearch.php:80
$url_array
$url_array
Definition: ezaddress/admin/datasupplier.php:34
$GlobalSectionID
$GlobalSectionID
Definition: ezcalendar/user/datasupplier.php:28
$ini
$ini
Definition: ezcalendar/user/datasupplier.php:27
$Month
$Month
Definition: ezcalendar/user/dayview.php:78
$Day
$Day
Definition: ezcalendar/user/dayview.php:79
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.